> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enso.build/llms.txt
> Use this file to discover all available pages before exploring further.

# Supported actions

> Returns actions that can be bundled with `/shortcuts/bundle` endpoint. For specific protocol actions and exact action inputs, see [`/actions/{slug}`](/api-reference/integration/actions-for-a-given-protocol) endpoint.



## OpenAPI

````yaml /public/openapi.json get /api/v1/actions
openapi: 3.0.0
info:
  title: Enso API
  description: >-
    #### Enso API

    - Find detailed documentation on
    [docs.enso.finance](https://docs.enso.finance).

    - To use the API, **you must include your API Key in the Authorization
    header** (Bearer format).

    - For testing, Swagger pre-authorizes you using the key:
    `1e02632d-6feb-4a75-a157-documentation` (1rps).

    - Get your own API Key at
    [enso.finance/developers](https://enso.finance/developers).
  version: 1.0.1
  contact: {}
servers:
  - url: https://api.enso.build
security:
  - {}
tags:
  - name: shortcuts
    description: ''
paths:
  /api/v1/actions:
    get:
      tags:
        - Integration
      summary: Supported actions
      description: >-
        Returns actions that can be bundled with `/shortcuts/bundle` endpoint.
        For specific protocol actions and exact action inputs, see
        [`/actions/{slug}`](/api-reference/integration/actions-for-a-given-protocol)
        endpoint.
      operationId: ActionsController_findAll
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Action'
components:
  schemas:
    Action:
      type: object
      properties:
        action:
          type: string
          enum:
            - approve
            - borrow
            - borrowwithpositionid
            - bridge
            - deposit
            - singledeposit
            - singledepositwithpositionid
            - multideposit
            - tokenizedsingledeposit
            - tokenizedmultideposit
            - multioutsingledeposit
            - depositclmm
            - harvest
            - permittransferfrom
            - redeem
            - singleredeem
            - singleredeemwithpositionid
            - multiredeem
            - tokenizedsingleredeem
            - tokenizedmultiredeem
            - redeemclmm
            - repay
            - repaywithpositionid
            - swap
            - transfer
            - transferfrom
            - route
            - call
            - split
            - merge
            - balance
            - minamountout
            - slippage
            - fee
            - ensofee
            - paymasterfee
        inputs:
          type: object
          additionalProperties:
            type: string
      required:
        - action
        - inputs

````